VaspOutcarReader
Date: 2019-10-22

org.jmol.adapter.readers.xtal

## Class VaspOutcarReader

- java.lang.Object
- - org.jmol.adapter.smarter.AtomSetCollectionReader
  - - org.jmol.adapter.readers.xtal.VaspOutcarReader

- All Implemented Interfaces:
    javajs.api.GenericLineReader

      public class VaspOutcarReader
      extends AtomSetCollectionReader

  http://cms.mpi.univie.ac.at/vasp/
  Version:
    1.0
  Author:
    Pieremanuele Canepa, Room 104, FM Group School of Physical Sciences, Ingram Building, University of Kent, Canterbury, Kent, CT2 7NH United Kingdom, pc229@kent.ac.uk

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `ac`
    `private java.lang.String[]` | `atomNames`
    `private java.lang.Double` | `electronEne`
    `private javajs.util.Lst<java.lang.String>` | `elementNames`
    `private java.lang.Double` | `gibbsEnergy`
    `private java.lang.Double` | `gibbsEntropy`
    `private boolean` | `inputOnly`
    `private boolean` | `isVersion5`
    `private java.lang.Double` | `kinEne`
    `private boolean` | `mDsimulation`
    `private float` | `temp`
    `private java.lang.Double` | `totEne`

    - ### Fields inherited from class org.jmol.adapter.smarter.AtomSetCollectionReader

      `addedData, addedDataKey, addVibrations, allowPDBFilter, ANGSTROMS_PER_BOHR, applySymmetryToBonds, asc, baseAtomIndex, binaryDoc, bsFilter, bsModels, calculationType, continuing, debugging, desiredModelNumber, desiredSpaceGroupIndex, desiredVibrationNumber, doApplySymmetry, doCentralize, doCheckUnitCell, doConvertToFractional, doPackUnitCell, doProcessLines, doReadMolecularOrbitals, dssr, fileName, fileOffset, filePath, fileScaling, fillRange, filter, filterHetero, fixJavaFloat, forcePacked, getHeader, haveAtomFilter, haveModel, havePartialChargeFilter, htParams, ignoreFileSpaceGroupName, ignoreFileSymmetryOperators, ignoreFileUnitCell, ignoreStructure, iHaveFractionalCoordinates, iHaveSymmetryOperators, iHaveUnitCell, isBinary, isConcatenated, isDSSP1, isFinalized, isMolecular, isPrimitive, isSequential, isTrajectory, latticeCells, latticeScaling, latticeType, line, lstNCS, matUnitCellOrientation, modDim, modelNumber, ms, mustFinalizeModelSet, next, out, packingError, prevline, primitiveToCrystal, ptLine, ptSupercell, reader, readerName, requiresBSFilter, reverseModels, rotateHexCell, sgName, stateScriptVersionInt, strSupercell, symmetry, templateAtomCount, thisBiomolecule, trajectorySteps, unitCellOffset, unitCellParams, useAltNames, useFileModelNumbers, validation, vibrationNumber, vibsFractional, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VaspOutcarReader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `checkLine()`
    `protected void` | `finalizeSubclassReader()` optional reader-specific method run first.
    `private java.lang.String` | `fixMinus(java.lang.String line)`
    `protected void` | `initializeReader()`
    `private void` | `readAtomCountAndSetNames()`
    `private void` | `readElementNames()`
    `private void` | `readEnergy()`
    `private void` | `readFrequency()`
    `private void` | `readInitialCoordinates()`
    `private void` | `readMdyn()`
    `private void` | `readPOSITION()`
    `private void` | `readUnitCellVectors()`
    `private void` | `setAtomSetInfo()`
    `private void` | `setAtomSetInfoMd()`
    `private void` | `setSymmetry()`

    - ### Methods inherited from class org.jmol.adapter.smarter.AtomSetCollectionReader

      `addAtomXYZSymName, addExplicitLatticeVector, addJmolScript, addSites, addSiteScript, appendLoadNote, appendUunitCellInfo, applySymmetryAndSetTrajectory, applySymTrajASCR, checkCurrentLineForScript, checkFilterKey, checkLastModel, checkLineForScript, clearUnitCell, cloneLastAtomSet, discardLinesUntilBlank, discardLinesUntilContains, discardLinesUntilContains2, discardLinesUntilNonBlank, discardLinesUntilStartsWith, discardPreviousAtoms, doGetModel, doGetVibration, doPreSymmetry, fill3x3, fillDataBlock, fillDataBlockFixed, fillFloatArray, fillFrequencyData, filterAtom, filterReject, finalizeMOData, finalizeModelSet, finalizeReaderASCR, finalizeSubclassSymmetry, forceSymmetry, fractionalizeCoordinates, getElementSymbol, getFilter, getFortranFormatLengths, getInterface, getNewSymmetry, getStrings, getSymmetry, getTokens, getTokensFloat, initializeSymmetry, initializeSymmetryOptions, initializeTrajectoryFile, isLastModel, newAtomSet, parseFloat, parseFloatRange, parseFloatStr, parseInt, parseIntAt, parseIntRange, parseIntStr, parseToken, parseTokenNext, parseTokenRange, parseTokenStr, processBinaryDocument, processDOM, rd, read3Vectors, readDataObject, readLines, readNextLine, rejectAtomName, RL, set2D, setAtomCoord, setAtomCoordScaled, setAtomCoordTokens, setAtomCoordXYZ, setChainID, setElementAndIsotope, setFilter, setFilterAtomTypeStr, setFractionalCoordinates, setIsPDB, setLoadNote, setModelPDB, setSpaceGroupName, setSymmetryOperator, setTransform, setUnitCell, setUnitCellItem, setup, setupASCR`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### atomNames

          private java.lang.String[] atomNames

    - #### ac

          private int ac

    - #### inputOnly

          private boolean inputOnly

    - #### mDsimulation

          private boolean mDsimulation

    - #### isVersion5

          private boolean isVersion5

    - #### elementNames

          private javajs.util.Lst<java.lang.String> elementNames

    - #### gibbsEnergy

          private java.lang.Double gibbsEnergy

    - #### gibbsEntropy

          private java.lang.Double gibbsEntropy

    - #### electronEne

          private java.lang.Double electronEne

    - #### kinEne

          private java.lang.Double kinEne

    - #### totEne

          private java.lang.Double totEne

    - #### temp

          private float temp

  - ### Constructor Detail

    - #### VaspOutcarReader

          public VaspOutcarReader()

  - ### Method Detail

    - #### initializeReader

          protected void initializeReader()

      Overrides:
        `initializeReader` in class `AtomSetCollectionReader`

    - #### checkLine

          protected boolean checkLine()
                               throws java.lang.Exception

      Overrides:
        `checkLine` in class `AtomSetCollectionReader`
      Returns:
        true if need to read new line
      Throws:
        `java.lang.Exception`

    - #### finalizeSubclassReader

          protected void finalizeSubclassReader()
                                         throws java.lang.Exception

      Description copied from class: `AtomSetCollectionReader`
      optional reader-specific method run first.
      Overrides:
        `finalizeSubclassReader` in class `AtomSetCollectionReader`
      Throws:
        `java.lang.Exception`

    - #### readElementNames

          private void readElementNames()
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### readAtomCountAndSetNames

          private void readAtomCountAndSetNames()
                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### readUnitCellVectors

          private void readUnitCellVectors()
                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### fixMinus

          private java.lang.String fixMinus(java.lang.String line)

    - #### setSymmetry

          private void setSymmetry()
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### readInitialCoordinates

          private void readInitialCoordinates()
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### readPOSITION

          private void readPOSITION()
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### readEnergy

          private void readEnergy()
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setAtomSetInfo

          private void setAtomSetInfo()

    - #### readMdyn

          private void readMdyn()
                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setAtomSetInfoMd

          private void setAtomSetInfoMd()

    - #### readFrequency

          private void readFrequency()
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`